SIR

질문 좀 봐주세요. > 자유게시판

자유게시판

질문 좀 봐주세요. 정보

질문 좀 봐주세요.

본문

그누보드 QA - 영카트 서버 이전시 변경 사항 (sir.kr)

 

이상하게 영카트5에 들어가 질문을 남겼는데...

 

mypage에도 안나오고 영카트 질답게시판 가도 안나오네요.

 

찾은데 애 먹었습니다..ㅎ

 

php와 mysql 업그레이드 전에 호환성에 대해 궁금합니다.

 

Apache/2.2.31 + php 5.2.17 + mysql 5.0.95 버전에서 서버를 운영중인데요.

 

홈페이지가 20여개 돌아가고 있습니다.

 

그누보드 4도 있구요. 영카트 5.4까지 있습니다.

 

php + mysql 업그레이드하는게 맞을까요?

 

그대로 돌리는게 맞을까요?

 

업그레이드 한다면 호환이 되는 상위 버전은 얼마일가요?

 

php7 + mariadb 11은 곤란하겠지요~ㅎㅎ

 

혹시 서버 이전하면서 업그레이드해 보신분 조언 부탁드립니다.

 

오늘도 행복한 하루되세요.

추천0

댓글 6개

저는 아직도 서버 이전 작업중입니다. ㅠㅠ
서버1 php 5.2
서버2 php 7.2
서버1에 있는 홈페이지 (그누보드4)를 서버2로 가져가기 위해서 그누보드5로 데이타 컨버터하고, 거기에 맞게 코드 수정하고 옮기고... (홈페이지 개수가 좀 됩니다)
이짓을 1년 넘게 하고 있네요.
물론 제가 틈틈히 하다 보니 그런것도 있구요.
매달 서버 비용만 아껴도 .. 흑흑...
아~~~아~~~ 생각만 해도 상상이 됩니다.
저도 서버1 서버2가 있는데 서버1은 구매형 서버이고 서버2가 임대형 서버인데요.
서버1이 php 5.2이고 서버2가 5.4 버전이거든요.
서버2를 없애고 서버1로 이전하려는데 버전이 낮아서 업그레이드하고 옮기려니 기존 서버1에서 돌아가는 홈페이지20여개가 걱정이 되서 업그레이드가 망설여지네요.
옮기는 놈은 몇개 안되니 1개씩 천천히 수정해서 옮기면 되는데 돌아가던 놈들이 한방에 터지면 감당이 안될것 같아서...ㅠㅠ
월 임대료 아끼려면 빨리 하셔야겠네요. 저도 마찬가지 신세네요..ㅎㅎㅎ
부디 하루 빨리 이전작업 성공적으로 마무리 하시길....
언젠가는 해야 될 일 아닐까요?
저도 그누4로 만든 사이트가 있어서 php7.2 + mysql8로 업그레이드 하고 php7에서 지원 안 하는 함수들이 있어서 수정 작업을 좀 했네요.
mysql8이 비밀번호 체계가 조금 변경되서 기존 비밀번호와 호환이 안 되더라구요. 구 버전과 호환하려면 옵션을 바꿔주면 되는데 그게 좀 난감하더라구요. 커뮤니티라면 아마도 회원들에게 비밀번호를 한 번만 더 입력해 달라는 요청 과정이 필요할 거 같아요. 8버전이 보안강화에 공을 들인 거 같네요.
어허~ 그건 참 곤란한 작업이군요.
비밀번호 체계를 바꿔버리면 어쩐담...ㅠ
mysql 버전업은 5.X대로 해야겠네요. 조언 감사합니다.
전체 184,011 |RSS
자유게시판 내용 검색

회원로그인

진행중 포인트경매

  1. 참여53 회 시작21.03.02 12:00 종료21.03.07 12:00

(주)에스아이알소프트 (06211) 서울특별시 강남구 역삼동 707-34 한신인터밸리24 서관 1404호 대표메일:admin@sir.kr
사업자등록번호:217-81-36347 대표:홍석명 통신판매업신고번호:2014-서울강남-02098호 개인정보보호책임자:이총

© SIRSOFT